# Copyright (c) 2019, XhiveFramework Technologies and contributors
# License: MIT. See LICENSE

import xhiveframework
from xhiveframework.model.document import Document
from xhiveframework.query_builder import Interval
from xhiveframework.query_builder.functions import Now


class ScheduledJobLog(Document):
	@staticmethod
	def clear_old_logs(days=90):
		table = xhiveframework.qb.DocType("Scheduled Job Log")
		xhiveframework.db.delete(table, filters=(table.modified < (Now() - Interval(days=days))))
